paso::Connector Struct Reference

`#include <Coupler.h>`

## Public Member Functions

| Connector (SharedComponents_ptr s, SharedComponents_ptr r)
Connector_ptr | copy () const
| creates a copy More...
Connector_ptr | unroll (index_t block_size) const

## Public Attributes

SharedComponents_ptr | send
SharedComponents_ptr | recv

## Constructor & Destructor Documentation

## Connector()

paso::Connector::Connector | ( | SharedComponents_ptr | s,
|  | SharedComponents_ptr | r
| ) |  |

inline

## Member Function Documentation

## copy()

Connector_ptr paso::Connector::copy | ( |  | ) | const

inline

creates a copy

## unroll()

Connector_ptr paso::Connector::unroll | ( | index_t | block_size | ) | const

inline

## Member Data Documentation

## recv

SharedComponents_ptr paso::Connector::recv

## send

SharedComponents_ptr paso::Connector::send

The documentation for this struct was generated from the following file:

- Coupler.h